"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6840>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1163e68e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6980>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6a20>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6ac0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6b60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6c00>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6ca0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6d40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6de0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6e80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6f20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1163e6fc0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7060>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7100>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1163e71a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7240>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1163e72e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7380>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7420>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1163e74c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7560>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7600>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1163e76a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7740>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1163e77e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7880>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7920>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1163e79c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7a60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7b00>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7ba0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7c40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7ce0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7d80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7e20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7ec0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1163e7f60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x116430040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1164300e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x116430180>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x116430220>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1164302c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x116430360>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x116430400>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1164304a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x116430540>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1164305e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x116430680>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x116430720>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1164307c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x116430860>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x116430900>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1164309a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x116430a40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x116430ae0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x116430b80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x116430c20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x116430cc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x116430d60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x116430e00>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x116430ea0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x116430f40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x116430fe0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x116431080>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x116431120>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1164311c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x116431260>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x116431300>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1164313a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x116431440>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1164314e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x116431580>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x116431620>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1164316c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x116431760>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x116431800>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1164318a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x116431940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1164319e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x116431b20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x116431a80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x116431bc0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x116431c60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x116431d00>)]
name: str = 'fr_HOCCN'
